Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.sbin/postinstall handle blacklistd properly.



details:   https://anonhg.NetBSD.org/src/rev/bea8116723fa
branches:  trunk
changeset: 340128:bea8116723fa
user:      christos <christos%NetBSD.org@localhost>
date:      Mon Aug 24 07:21:14 2015 +0000

description:
handle blacklistd properly.

diffstat:

 usr.sbin/postinstall/postinstall |  13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

diffs (36 lines):

diff -r 89f9d9a5d01f -r bea8116723fa usr.sbin/postinstall/postinstall
--- a/usr.sbin/postinstall/postinstall  Mon Aug 24 04:51:18 2015 +0000
+++ b/usr.sbin/postinstall/postinstall  Mon Aug 24 07:21:14 2015 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.200 2015/08/21 12:02:07 jnemeth Exp $
+# $NetBSD: postinstall,v 1.201 2015/08/24 07:21:14 christos Exp $
 #
 # Copyright (c) 2002-2015 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -1336,7 +1336,6 @@
 altqd
 amd
 apmd
-blacklistd
 bluetooth
 bootconf.sh
 bootparams
@@ -1507,6 +1506,16 @@
                ${extra_scripts}
        failed=$(( ${failed} + $? ))
 
+       if ! find_file_in_dirlist blacklistd "blacklistd" \
+           "${SRC_DIR}/external/bsd/blacklist/etc/rc.d" \
+           "${SRC_DIR}/etc/rc.d"; then
+           failed=1
+       else
+           populate_dir "$op" true "${dir}" "${DEST_DIR}/etc/rc.d" 555 \
+               blacklistd
+           failed=$(( ${failed} + $? ))
+       fi
+
        if $SOURCEMODE && [ -n "${generated_scripts}" ]; then
                # generate scripts
                mkdir "${SCRATCHDIR}/rc"



Home | Main Index | Thread Index | Old Index